Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.connector.extensions
Interface Suspendable

public interface Suspendable

Suspendable may be implemented by a ResourceAdapter JavaBean if it supports suspend, resume or side-by-side versioning

Since:
  November 14, 2003

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static int` | `ALL` Used to indicate that INBOUND, OUTBOUND & WORK are to be suspended/resumed
`static int` | `INBOUND` Used to indicate that inbound communication is to be suspended/resumed
`static int` | `OUTBOUND` Used to indicate that outbound communication is to be suspended/resumed
`static int` | `RESUME` May be used to indicate a resume() operation
`static int` | `SUSPEND` May be used to indicate a suspend() operation
`static int` | `WORK` Used to indicate that submission of Work is to be suspended/resumed

Method Summary
`void` | `init(ResourceAdapter ra, Properties props)` Used by WLS to inform a ResourceAdapter that it is a new version of an already deployed resource adapter.
`boolean` | `isSuspended(int type)` Used to determine whether the specified type of activity is currently suspended.
`void` | `resume(int type, Properties props)` Request to resume the activity specified.
`void` | `startVersioning(ResourceAdapter ra, Properties props)` Used by WLS to indicate to the current version of this resource adapter that a new version of the resource adapter is being deployed.
`boolean` | `supportsInit()` Used to determine if this resource adapter supports the init() method used for resource adapter versioning (side-by-side deployment)
`boolean` | `supportsSuspend(int type)`
`boolean` | `supportsVersioning()` Used to determine if this resource adapter supports the startVersioning() method used for resource adapter versioning (side-by-side deployment)
`void` | `suspend(int type, Properties props)` Request to suspend the activity specified.

Field Detail

### ALL

    public static final int ALL

  Used to indicate that INBOUND, OUTBOUND & WORK are to be suspended/resumed

  See Also:
    Constant Field Values

### INBOUND

    public static final int INBOUND

  Used to indicate that inbound communication is to be suspended/resumed

  See Also:
    Constant Field Values

### OUTBOUND

    public static final int OUTBOUND

  Used to indicate that outbound communication is to be suspended/resumed

  See Also:
    Constant Field Values

### RESUME

    public static final int RESUME

  May be used to indicate a resume() operation

  See Also:
    Constant Field Values

### SUSPEND

    public static final int SUSPEND

  May be used to indicate a suspend() operation

  See Also:
    Constant Field Values

### WORK

    public static final int WORK

  Used to indicate that submission of Work is to be suspended/resumed

  See Also:
    Constant Field Values

Method Detail

### init

    public void init(ResourceAdapter ra,
                     Properties props)
              throws ResourceException

  Used by WLS to inform a ResourceAdapter that it is a new version of an already deployed resource adapter. This method is called prior to start() so that the new resource adapter may coordinate its startup with the resource adapter it is replacing.

  Parameters:
    `ra` - The old version of the resource adapter that is currently running
    `props` - Properties associated with the versioning operation
  Throws:
    `ResourceException` - If the init() fails.

### isSuspended

    public boolean isSuspended(int type)

  Used to determine whether the specified type of activity is currently suspended.

  Parameters:
    `type` - An int from 1 to 7 specifying the type of activity requested (i.e. Suspendable.INBOUND, .OUTBOUND, .WORK or the sum of one or more of these, or the value Suspendable.ALL )
  Returns:
    true iff the specified type of activity is suspened by this resource adapter

### resume

    public void resume(int type,
                       Properties props)
                throws ResourceException

  Request to resume the activity specified. The Properties may be null or specified according to RA-specific needs

  Parameters:
    `type` - An int from 1 to 7 specifying the type of resume being requested (i.e. Suspendable.INBOUND, .OUTBOUND, .WORK or the sum of one or more of these, or the value Suspendable.ALL )
    `props` - Optional Properties (or null) to be used for ResourceAdapter specific purposes
  Throws:
    `ResourceException` - If the resource adapter can't complete the request

### startVersioning

    public void startVersioning(ResourceAdapter ra,
                                Properties props)
                         throws ResourceException

  Used by WLS to indicate to the current version of this resource adapter that a new version of the resource adapter is being deployed. This method can be used by the old RA to communicate with the new RA and migrate services from the old to the new. After being called, the ResourceAdapter is responsible for notifying the Connector container via the ExtendedBootstrapContext.complete() method, that it is safe to be undeployed.

  Parameters:
    `ra` - The new ResourceAdapter JavaBean
    `props` - Properties associated with the versioning when it can be undeployed
  Throws:
    `ResourceException` - If something goes wrong

### supportsInit

    public boolean supportsInit()

  Used to determine if this resource adapter supports the init() method used for resource adapter versioning (side-by-side deployment)

  Returns:
    true iff this resource adapter supports the init() method

### supportsSuspend

    public boolean supportsSuspend(int type)

  Parameters:
    `type` - An int from 1 to 7 specifying the type of suspend this inquiry is about (i.e. Suspendable.INBOUND, .OUTBOUND, .WORK or the sum of one or more of these, or the value Suspendable.ALL )
  Returns:
    true iff the specified type of suspend is supported

### supportsVersioning

    public boolean supportsVersioning()

  Used to determine if this resource adapter supports the startVersioning() method used for resource adapter versioning (side-by-side deployment)

  Returns:
    true iff this resource adapter supports the startVersioning() method

### suspend

    public void suspend(int type,
                        Properties props)
                 throws ResourceException

  Request to suspend the activity specified. The Properties may be null or specified according to RA-specific needs

  Parameters:
    `type` - An int from 1 to 7 specifying the type of suspension being requested (i.e. Suspendable.INBOUND, .OUTBOUND, .WORK or the sum of one or more of these, or the value Suspendable.ALL )
    `props` - Optional Properties (or null) to be used for ResourceAdapter specific purposes
  Throws:
    `ResourceException` - If the resource adapter can't complete the request

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD